use master
exec sp_dboption 'lportal', 'allow nulls by default' , true
go

exec sp_dboption 'lportal', 'select into/bulkcopy/pllsort' , true
go

use lportal

create table Account_ (
	mvccVersion decimal(20,0) default 0 not null,
	accountId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentAccountId decimal(20,0),
	name varchar(75) null,
	legalName varchar(75) null,
	legalId varchar(75) null,
	legalType varchar(75) null,
	sicCode varchar(75) null,
	tickerSymbol varchar(75) null,
	industry varchar(75) null,
	type_ varchar(75) null,
	size_ varchar(75) null
)
go

create table Address (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	addressId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	street1 varchar(75) null,
	street2 varchar(75) null,
	street3 varchar(75) null,
	city varchar(75) null,
	zip varchar(75) null,
	regionId decimal(20,0),
	countryId decimal(20,0),
	typeId decimal(20,0),
	mailing int,
	primary_ int
)
go

create table AnnouncementsDelivery (
	deliveryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(75) null,
	email int,
	sms int,
	website int
)
go

create table AnnouncementsEntry (
	uuid_ varchar(75) null,
	entryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	title varchar(75) null,
	content text null,
	url varchar(4000) null,
	type_ varchar(75) null,
	displayDate bigdatetime null,
	expirationDate bigdatetime null,
	priority int,
	alert int
)
go

create table AnnouncementsFlag (
	flagId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	entryId decimal(20,0),
	value int
)
go

create table AssetCategory (
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	categoryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentCategoryId decimal(20,0),
	leftCategoryId decimal(20,0),
	rightCategoryId decimal(20,0),
	name varchar(75) null,
	title text null,
	description text null,
	vocabularyId decimal(20,0),
	lastPublishDate bigdatetime null
)
go

create table AssetEntries_AssetCategories (
	companyId decimal(20,0) not null,
	categoryId decimal(20,0) not null,
	entryId decimal(20,0) not null,
	primary key (categoryId, entryId)
)
go

create table AssetEntries_AssetTags (
	companyId decimal(20,0) not null,
	entryId decimal(20,0) not null,
	tagId decimal(20,0) not null,
	primary key (entryId, tagId)
)
go

create table AssetEntry (
	entryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	classUuid varchar(75) null,
	classTypeId decimal(20,0),
	listable int,
	visible int,
	startDate bigdatetime null,
	endDate bigdatetime null,
	publishDate bigdatetime null,
	expirationDate bigdatetime null,
	mimeType varchar(75) null,
	title varchar(4000) null,
	description text null,
	summary text null,
	url varchar(4000) null,
	layoutUuid varchar(75) null,
	height int,
	width int,
	priority float,
	viewCount int
)
go

create table AssetLink (
	linkId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	entryId1 decimal(20,0),
	entryId2 decimal(20,0),
	type_ int,
	weight int
)
go

create table AssetTag (
	uuid_ varchar(75) null,
	tagId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	assetCount int,
	lastPublishDate bigdatetime null
)
go

create table AssetVocabulary (
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	vocabularyId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	title varchar(4000) null,
	description varchar(4000) null,
	settings_ varchar(4000) null,
	lastPublishDate bigdatetime null
)
go

create table BrowserTracker (
	mvccVersion decimal(20,0) default 0 not null,
	browserTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	browserKey decimal(20,0)
)
go

create table ClassName_ (
	mvccVersion decimal(20,0) default 0 not null,
	classNameId decimal(20,0) not null primary key,
	value varchar(200) null
)
go

create table ClusterGroup (
	mvccVersion decimal(20,0) default 0 not null,
	clusterGroupId decimal(20,0) not null primary key,
	name varchar(75) null,
	clusterNodeIds varchar(75) null,
	wholeCluster int
)
go

create table Company (
	mvccVersion decimal(20,0) default 0 not null,
	companyId decimal(20,0) not null primary key,
	accountId decimal(20,0),
	webId varchar(75) null,
	key_ text null,
	mx varchar(200) null,
	homeURL varchar(4000) null,
	logoId decimal(20,0),
	system_ int,
	maxUsers int,
	active_ int
)
go

create table Contact_ (
	mvccVersion decimal(20,0) default 0 not null,
	contactId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	accountId decimal(20,0),
	parentContactId decimal(20,0),
	emailAddress varchar(254) null,
	firstName varchar(75) null,
	middleName varchar(75) null,
	lastName varchar(75) null,
	prefixId decimal(20,0),
	suffixId decimal(20,0),
	male int,
	birthday bigdatetime null,
	smsSn varchar(75) null,
	facebookSn varchar(75) null,
	jabberSn varchar(75) null,
	skypeSn varchar(75) null,
	twitterSn varchar(75) null,
	employeeStatusId varchar(75) null,
	employeeNumber varchar(75) null,
	jobTitle varchar(100) null,
	jobClass varchar(75) null,
	hoursOfOperation varchar(75) null
)
go

create table Counter (
	name varchar(150) not null primary key,
	currentId decimal(20,0)
)
go

create table Country (
	mvccVersion decimal(20,0) default 0 not null,
	countryId decimal(20,0) not null primary key,
	name varchar(75) null,
	a2 varchar(75) null,
	a3 varchar(75) null,
	number_ varchar(75) null,
	idd_ varchar(75) null,
	zipRequired int,
	active_ int
)
go

create table DLFileEntry (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(255) null,
	fileName varchar(255) null,
	extension varchar(75) null,
	mimeType varchar(75) null,
	title varchar(255) null,
	description varchar(4000) null,
	extraSettings text null,
	fileEntryTypeId decimal(20,0),
	version varchar(75) null,
	size_ decimal(20,0),
	readCount int,
	smallImageId decimal(20,0),
	largeImageId decimal(20,0),
	custom1ImageId decimal(20,0),
	custom2ImageId decimal(20,0),
	manualCheckInRequired int,
	lastPublishDate bigdatetime null
)
go

create table DLFileEntryMetadata (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryMetadataId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	DDMStorageId decimal(20,0),
	DDMStructureId decimal(20,0),
	fileEntryId decimal(20,0),
	fileVersionId decimal(20,0)
)
go

create table DLFileEntryType (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileEntryTypeId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	fileEntryTypeKey varchar(75) null,
	name varchar(4000) null,
	description varchar(4000) null,
	lastPublishDate bigdatetime null
)
go

create table DLFileEntryTypes_DLFolders (
	companyId decimal(20,0) not null,
	fileEntryTypeId decimal(20,0) not null,
	folderId decimal(20,0) not null,
	primary key (fileEntryTypeId, folderId)
)
go

create table DLFileShortcut (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileShortcutId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	toFileEntryId decimal(20,0),
	treePath varchar(4000) null,
	active_ int,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table DLFileVersion (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	fileVersionId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	folderId decimal(20,0),
	fileEntryId decimal(20,0),
	treePath varchar(4000) null,
	fileName varchar(255) null,
	extension varchar(75) null,
	mimeType varchar(75) null,
	title varchar(255) null,
	description varchar(4000) null,
	changeLog varchar(75) null,
	extraSettings text null,
	fileEntryTypeId decimal(20,0),
	version varchar(75) null,
	size_ decimal(20,0),
	checksum varchar(75) null,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table DLFolder (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	folderId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	mountPoint int,
	parentFolderId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(255) null,
	description varchar(4000) null,
	lastPostDate bigdatetime null,
	defaultFileEntryTypeId decimal(20,0),
	hidden_ int,
	restrictionType int,
	lastPublishDate bigdatetime null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table EmailAddress (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	emailAddressId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	address varchar(254) null,
	typeId decimal(20,0),
	primary_ int
)
go

create table ExpandoColumn (
	columnId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	tableId decimal(20,0),
	name varchar(75) null,
	type_ int,
	defaultData text null,
	typeSettings text null
)
go

create table ExpandoRow (
	rowId_ decimal(20,0) not null primary key,
	companyId decimal(20,0),
	modifiedDate bigdatetime null,
	tableId decimal(20,0),
	classPK decimal(20,0)
)
go

create table ExpandoTable (
	tableId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	classNameId decimal(20,0),
	name varchar(75) null
)
go

create table ExpandoValue (
	valueId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	tableId decimal(20,0),
	columnId decimal(20,0),
	rowId_ decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	data_ text null
)
go

create table ExportImportConfiguration (
	mvccVersion decimal(20,0) default 0 not null,
	exportImportConfigurationId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(200) null,
	description varchar(4000) null,
	type_ int,
	settings_ text null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table Group_ (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	groupId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	creatorUserId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	parentGroupId decimal(20,0),
	liveGroupId decimal(20,0),
	treePath varchar(4000) null,
	groupKey varchar(150) null,
	name varchar(4000) null,
	description varchar(4000) null,
	type_ int,
	typeSettings text null,
	manualMembership int,
	membershipRestriction int,
	friendlyURL varchar(255) null,
	site int,
	remoteStagingGroupCount int,
	inheritContent int,
	active_ int
)
go

create table Groups_Orgs (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	organizationId decimal(20,0) not null,
	primary key (groupId, organizationId)
)
go

create table Groups_Roles (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	primary key (groupId, roleId)
)
go

create table Groups_UserGroups (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	primary key (groupId, userGroupId)
)
go

create table Image (
	mvccVersion decimal(20,0) default 0 not null,
	imageId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	modifiedDate bigdatetime null,
	type_ varchar(75) null,
	height int,
	width int,
	size_ int
)
go

create table Layout (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	headId decimal(20,0),
	head int,
	plid decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentPlid decimal(20,0),
	privateLayout int,
	layoutId decimal(20,0),
	parentLayoutId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(4000) null,
	title text null,
	description text null,
	keywords varchar(4000) null,
	robots varchar(4000) null,
	type_ varchar(75) null,
	typeSettings text null,
	hidden_ int,
	system_ int,
	friendlyURL varchar(255) null,
	iconImageId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	priority int,
	layoutPrototypeUuid varchar(75) null,
	layoutPrototypeLinkEnabled int,
	sourcePrototypeLayoutUuid varchar(75) null,
	publishDate bigdatetime null,
	lastPublishDate bigdatetime null
)
go

create table LayoutBranch (
	mvccVersion decimal(20,0) default 0 not null,
	layoutBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0),
	name varchar(75) null,
	description varchar(4000) null,
	master int
)
go

create table LayoutFriendlyURL (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutFriendlyURLId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	plid decimal(20,0),
	privateLayout int,
	friendlyURL varchar(255) null,
	languageId varchar(75) null,
	lastPublishDate bigdatetime null
)
go

create table LayoutPrototype (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutPrototypeId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name text null,
	description text null,
	settings_ varchar(4000) null,
	active_ int
)
go

create table LayoutRevision (
	mvccVersion decimal(20,0) default 0 not null,
	layoutRevisionId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	layoutSetBranchId decimal(20,0),
	layoutBranchId decimal(20,0),
	parentLayoutRevisionId decimal(20,0),
	head int,
	major int,
	plid decimal(20,0),
	privateLayout int,
	name varchar(4000) null,
	title varchar(4000) null,
	description varchar(4000) null,
	keywords varchar(4000) null,
	robots varchar(4000) null,
	typeSettings text null,
	iconImageId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	status int,
	statusByUserId decimal(20,0),
	statusByUserName varchar(75) null,
	statusDate bigdatetime null
)
go

create table LayoutSet (
	mvccVersion decimal(20,0) default 0 not null,
	headId decimal(20,0),
	head int,
	layoutSetId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	privateLayout int,
	logoId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	pageCount int,
	settings_ text null,
	layoutSetPrototypeUuid varchar(75) null,
	layoutSetPrototypeLinkEnabled int
)
go

create table LayoutSetBranch (
	mvccVersion decimal(20,0) default 0 not null,
	layoutSetBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	privateLayout int,
	name varchar(75) null,
	description varchar(4000) null,
	master int,
	logoId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	settings_ text null,
	layoutSetPrototypeUuid varchar(75) null,
	layoutSetPrototypeLinkEnabled int
)
go

create table LayoutSetPrototype (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	layoutSetPrototypeId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name text null,
	description text null,
	settings_ varchar(4000) null,
	active_ int
)
go

create table LayoutSetVersion (
	layoutSetVersionId decimal(20,0) not null primary key,
	version int,
	layoutSetId decimal(20,0),
	groupId decimal(20,0),
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	privateLayout int,
	logoId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	pageCount int,
	settings_ text null,
	layoutSetPrototypeUuid varchar(75) null,
	layoutSetPrototypeLinkEnabled int
)
go

create table LayoutVersion (
	layoutVersionId decimal(20,0) not null primary key,
	version int,
	uuid_ varchar(75) null,
	plid decimal(20,0),
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentPlid decimal(20,0),
	privateLayout int,
	layoutId decimal(20,0),
	parentLayoutId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(4000) null,
	title varchar(4000) null,
	description varchar(4000) null,
	keywords varchar(4000) null,
	robots varchar(4000) null,
	type_ varchar(75) null,
	typeSettings text null,
	hidden_ int,
	system_ int,
	friendlyURL varchar(255) null,
	iconImageId decimal(20,0),
	themeId varchar(75) null,
	colorSchemeId varchar(75) null,
	css text null,
	priority int,
	layoutPrototypeUuid varchar(75) null,
	layoutPrototypeLinkEnabled int,
	sourcePrototypeLayoutUuid varchar(75) null,
	publishDate bigdatetime null,
	lastPublishDate bigdatetime null
)
go

create table ListType (
	mvccVersion decimal(20,0) default 0 not null,
	listTypeId decimal(20,0) not null primary key,
	name varchar(75) null,
	type_ varchar(75) null
)
go

create table MembershipRequest (
	mvccVersion decimal(20,0) default 0 not null,
	membershipRequestId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	comments varchar(4000) null,
	replyComments varchar(4000) null,
	replyDate bigdatetime null,
	replierUserId decimal(20,0),
	statusId decimal(20,0)
)
go

create table Organization_ (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	organizationId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentOrganizationId decimal(20,0),
	treePath varchar(4000) null,
	name varchar(100) null,
	type_ varchar(75) null,
	recursable int,
	regionId decimal(20,0),
	countryId decimal(20,0),
	statusId decimal(20,0),
	comments varchar(4000) null,
	logoId decimal(20,0)
)
go

create table OrgGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	organizationId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	companyId decimal(20,0),
	primary key (organizationId, groupId, roleId)
)
go

create table OrgLabor (
	mvccVersion decimal(20,0) default 0 not null,
	orgLaborId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	organizationId decimal(20,0),
	typeId decimal(20,0),
	sunOpen int,
	sunClose int,
	monOpen int,
	monClose int,
	tueOpen int,
	tueClose int,
	wedOpen int,
	wedClose int,
	thuOpen int,
	thuClose int,
	friOpen int,
	friClose int,
	satOpen int,
	satClose int
)
go

create table PasswordPolicy (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	passwordPolicyId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	defaultPolicy int,
	name varchar(75) null,
	description varchar(4000) null,
	changeable int,
	changeRequired int,
	minAge decimal(20,0),
	checkSyntax int,
	allowDictionaryWords int,
	minAlphanumeric int,
	minLength int,
	minLowerCase int,
	minNumbers int,
	minSymbols int,
	minUpperCase int,
	regex varchar(4000) null,
	history int,
	historyCount int,
	expireable int,
	maxAge decimal(20,0),
	warningTime decimal(20,0),
	graceLimit int,
	lockout int,
	maxFailure int,
	lockoutDuration decimal(20,0),
	requireUnlock int,
	resetFailureCount decimal(20,0),
	resetTicketMaxAge decimal(20,0)
)
go

create table PasswordPolicyRel (
	mvccVersion decimal(20,0) default 0 not null,
	passwordPolicyRelId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	passwordPolicyId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0)
)
go

create table PasswordTracker (
	mvccVersion decimal(20,0) default 0 not null,
	passwordTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate bigdatetime null,
	password_ varchar(75) null
)
go

create table Phone (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	phoneId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	number_ varchar(75) null,
	extension varchar(75) null,
	typeId decimal(20,0),
	primary_ int
)
go

create table PluginSetting (
	mvccVersion decimal(20,0) default 0 not null,
	pluginSettingId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	pluginId varchar(75) null,
	pluginType varchar(75) null,
	roles varchar(4000) null,
	active_ int
)
go

create table PortalPreferences (
	mvccVersion decimal(20,0) default 0 not null,
	portalPreferencesId decimal(20,0) not null primary key,
	ownerId decimal(20,0),
	ownerType int,
	preferences text null
)
go

create table Portlet (
	mvccVersion decimal(20,0) default 0 not null,
	id_ decimal(20,0) not null primary key,
	companyId decimal(20,0),
	portletId varchar(200) null,
	roles varchar(4000) null,
	active_ int
)
go

create table PortletItem (
	mvccVersion decimal(20,0) default 0 not null,
	portletItemId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	name varchar(75) null,
	portletId varchar(200) null,
	classNameId decimal(20,0)
)
go

create table PortletPreferences (
	mvccVersion decimal(20,0) default 0 not null,
	portletPreferencesId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	ownerId decimal(20,0),
	ownerType int,
	plid decimal(20,0),
	portletId varchar(200) null,
	preferences text null
)
go

create table RatingsEntry (
	uuid_ varchar(75) null,
	entryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	score float
)
go

create table RatingsStats (
	statsId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	totalEntries int,
	totalScore float,
	averageScore float
)
go

create table RecentLayoutBranch (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutBranchId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0)
)
go

create table RecentLayoutRevision (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutRevisionId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutRevisionId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	plid decimal(20,0)
)
go

create table RecentLayoutSetBranch (
	mvccVersion decimal(20,0) default 0 not null,
	recentLayoutSetBranchId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	layoutSetBranchId decimal(20,0),
	layoutSetId decimal(20,0)
)
go

create table Region (
	mvccVersion decimal(20,0) default 0 not null,
	regionId decimal(20,0) not null primary key,
	countryId decimal(20,0),
	regionCode varchar(75) null,
	name varchar(75) null,
	active_ int
)
go

create table Release_ (
	mvccVersion decimal(20,0) default 0 not null,
	releaseId decimal(20,0) not null primary key,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	servletContextName varchar(75) null,
	schemaVersion varchar(75) null,
	buildNumber int,
	buildDate bigdatetime null,
	verified int,
	state_ int,
	testString varchar(1024) null
)
go

create table Repository (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	repositoryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	name varchar(200) null,
	description varchar(4000) null,
	portletId varchar(200) null,
	typeSettings text null,
	dlFolderId decimal(20,0),
	lastPublishDate bigdatetime null
)
go

create table RepositoryEntry (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	repositoryEntryId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	repositoryId decimal(20,0),
	mappedId varchar(255) null,
	manualCheckInRequired int,
	lastPublishDate bigdatetime null
)
go

create table ResourceAction (
	mvccVersion decimal(20,0) default 0 not null,
	resourceActionId decimal(20,0) not null primary key,
	name varchar(255) null,
	actionId varchar(75) null,
	bitwiseValue decimal(20,0)
)
go

create table ResourceBlock (
	mvccVersion decimal(20,0) default 0 not null,
	resourceBlockId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	groupId decimal(20,0),
	name varchar(75) null,
	permissionsHash varchar(75) null,
	referenceCount decimal(20,0)
)
go

create table ResourceBlockPermission (
	mvccVersion decimal(20,0) default 0 not null,
	resourceBlockPermissionId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	resourceBlockId decimal(20,0),
	roleId decimal(20,0),
	actionIds decimal(20,0)
)
go

create table ResourcePermission (
	mvccVersion decimal(20,0) default 0 not null,
	resourcePermissionId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	name varchar(255) null,
	scope int,
	primKey varchar(255) null,
	primKeyId decimal(20,0),
	roleId decimal(20,0),
	ownerId decimal(20,0),
	actionIds decimal(20,0),
	viewActionId int
)
go

create table ResourceTypePermission (
	mvccVersion decimal(20,0) default 0 not null,
	resourceTypePermissionId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	groupId decimal(20,0),
	name varchar(75) null,
	roleId decimal(20,0),
	actionIds decimal(20,0)
)
go

create table Role_ (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	roleId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(75) null,
	title varchar(4000) null,
	description varchar(4000) null,
	type_ int,
	subtype varchar(75) null
)
go

create table ServiceComponent (
	mvccVersion decimal(20,0) default 0 not null,
	serviceComponentId decimal(20,0) not null primary key,
	buildNamespace varchar(75) null,
	buildNumber decimal(20,0),
	buildDate decimal(20,0),
	data_ text null
)
go

create table SocialActivity (
	activityId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	activitySetId decimal(20,0),
	mirrorActivityId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	parentClassNameId decimal(20,0),
	parentClassPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	receiverUserId decimal(20,0)
)
go

create table SocialActivityAchievement (
	activityAchievementId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	name varchar(75) null,
	firstInGroup int
)
go

create table SocialActivityCounter (
	activityCounterId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	name varchar(75) null,
	ownerType int,
	currentValue int,
	totalValue int,
	graceValue int,
	startPeriod int,
	endPeriod int,
	active_ int
)
go

create table SocialActivityLimit (
	activityLimitId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	activityType int,
	activityCounterName varchar(75) null,
	value varchar(75) null
)
go

create table SocialActivitySet (
	activitySetId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	modifiedDate decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	activityCount int
)
go

create table SocialActivitySetting (
	activitySettingId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	classNameId decimal(20,0),
	activityType int,
	name varchar(75) null,
	value varchar(1024) null
)
go

create table SocialRelation (
	uuid_ varchar(75) null,
	relationId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate decimal(20,0),
	userId1 decimal(20,0),
	userId2 decimal(20,0),
	type_ int
)
go

create table SocialRequest (
	uuid_ varchar(75) null,
	requestId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	createDate decimal(20,0),
	modifiedDate decimal(20,0),
	classNameId decimal(20,0),
	classPK decimal(20,0),
	type_ int,
	extraData varchar(4000) null,
	receiverUserId decimal(20,0),
	status int
)
go

create table SystemEvent (
	mvccVersion decimal(20,0) default 0 not null,
	systemEventId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	classUuid varchar(75) null,
	referrerClassNameId decimal(20,0),
	parentSystemEventId decimal(20,0),
	systemEventSetKey decimal(20,0),
	type_ int,
	extraData text null
)
go

create table Team (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	teamId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	groupId decimal(20,0),
	name varchar(75) null,
	description varchar(4000) null,
	lastPublishDate bigdatetime null
)
go

create table Ticket (
	mvccVersion decimal(20,0) default 0 not null,
	ticketId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	key_ varchar(75) null,
	type_ int,
	extraInfo text null,
	expirationDate bigdatetime null
)
go

create table UserNotificationDelivery (
	mvccVersion decimal(20,0) default 0 not null,
	userNotificationDeliveryId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	portletId varchar(200) null,
	classNameId decimal(20,0),
	notificationType int,
	deliveryType int,
	deliver int
)
go

create table User_ (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	userId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	defaultUser int,
	contactId decimal(20,0),
	password_ varchar(75) null,
	passwordEncrypted int,
	passwordReset int,
	passwordModifiedDate bigdatetime null,
	digest varchar(255) null,
	reminderQueryQuestion varchar(75) null,
	reminderQueryAnswer varchar(75) null,
	graceLoginCount int,
	screenName varchar(75) null,
	emailAddress varchar(254) null,
	facebookId decimal(20,0),
	googleUserId varchar(75) null,
	ldapServerId decimal(20,0),
	openId varchar(1024) null,
	portraitId decimal(20,0),
	languageId varchar(75) null,
	timeZoneId varchar(75) null,
	greeting varchar(255) null,
	comments varchar(4000) null,
	firstName varchar(75) null,
	middleName varchar(75) null,
	lastName varchar(75) null,
	jobTitle varchar(100) null,
	loginDate bigdatetime null,
	loginIP varchar(75) null,
	lastLoginDate bigdatetime null,
	lastLoginIP varchar(75) null,
	lastFailedLoginDate bigdatetime null,
	failedLoginAttempts int,
	lockout int,
	lockoutDate bigdatetime null,
	agreedToTermsOfUse int,
	emailAddressVerified int,
	status int
)
go

create table UserGroup (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	externalReferenceCode varchar(75) null,
	userGroupId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	parentUserGroupId decimal(20,0),
	name varchar(255) null,
	description varchar(4000) null,
	addedByLDAPImport int
)
go

create table UserGroupGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	userGroupId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	companyId decimal(20,0),
	primary key (userGroupId, groupId, roleId)
)
go

create table UserGroupRole (
	mvccVersion decimal(20,0) default 0 not null,
	userId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	companyId decimal(20,0),
	primary key (userId, groupId, roleId)
)
go

create table UserGroups_Teams (
	companyId decimal(20,0) not null,
	teamId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	primary key (teamId, userGroupId)
)
go

create table UserIdMapper (
	mvccVersion decimal(20,0) default 0 not null,
	userIdMapperId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(75) null,
	description varchar(75) null,
	externalUserId varchar(75) null
)
go

create table UserNotificationEvent (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	userNotificationEventId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	type_ varchar(200) null,
	timestamp decimal(20,0),
	deliveryType int,
	deliverBy decimal(20,0),
	delivered int,
	payload text null,
	actionRequired int,
	archived int
)
go

create table Users_Groups (
	companyId decimal(20,0) not null,
	groupId decimal(20,0) not null,
	userId decimal(20,0) not null,
	primary key (groupId, userId)
)
go

create table Users_Orgs (
	companyId decimal(20,0) not null,
	organizationId decimal(20,0) not null,
	userId decimal(20,0) not null,
	primary key (organizationId, userId)
)
go

create table Users_Roles (
	companyId decimal(20,0) not null,
	roleId decimal(20,0) not null,
	userId decimal(20,0) not null,
	primary key (roleId, userId)
)
go

create table Users_Teams (
	companyId decimal(20,0) not null,
	teamId decimal(20,0) not null,
	userId decimal(20,0) not null,
	primary key (teamId, userId)
)
go

create table Users_UserGroups (
	companyId decimal(20,0) not null,
	userId decimal(20,0) not null,
	userGroupId decimal(20,0) not null,
	primary key (userId, userGroupId)
)
go

create table UserTracker (
	mvccVersion decimal(20,0) default 0 not null,
	userTrackerId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	modifiedDate bigdatetime null,
	sessionId varchar(200) null,
	remoteAddr varchar(75) null,
	remoteHost varchar(75) null,
	userAgent varchar(200) null
)
go

create table UserTrackerPath (
	mvccVersion decimal(20,0) default 0 not null,
	userTrackerPathId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userTrackerId decimal(20,0),
	path_ varchar(4000) null,
	pathDate bigdatetime null
)
go

create table VirtualHost (
	mvccVersion decimal(20,0) default 0 not null,
	virtualHostId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	layoutSetId decimal(20,0),
	hostname varchar(200) null,
	defaultVirtualHost int,
	languageId varchar(75) null
)
go

create table WebDAVProps (
	mvccVersion decimal(20,0) default 0 not null,
	webDavPropsId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	props text null
)
go

create table Website (
	mvccVersion decimal(20,0) default 0 not null,
	uuid_ varchar(75) null,
	websiteId decimal(20,0) not null primary key,
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	url varchar(4000) null,
	typeId decimal(20,0),
	primary_ int,
	lastPublishDate bigdatetime null
)
go

create table WorkflowDefinitionLink (
	mvccVersion decimal(20,0) default 0 not null,
	workflowDefinitionLinkId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	typePK decimal(20,0),
	workflowDefinitionName varchar(75) null,
	workflowDefinitionVersion int
)
go

create table WorkflowInstanceLink (
	mvccVersion decimal(20,0) default 0 not null,
	workflowInstanceLinkId decimal(20,0) not null primary key,
	groupId decimal(20,0),
	companyId decimal(20,0),
	userId decimal(20,0),
	userName varchar(75) null,
	createDate bigdatetime null,
	modifiedDate bigdatetime null,
	classNameId decimal(20,0),
	classPK decimal(20,0),
	workflowInstanceId decimal(20,0)
)
go


--
-- List types for accounts
--

insert into ListType (listTypeId, name, type_) values (10000, 'billing', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10001, 'other', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10002, 'p-o-box', 'com.liferay.portal.kernel.model.Account.address')
go
insert into ListType (listTypeId, name, type_) values (10003, 'shipping', 'com.liferay.portal.kernel.model.Account.address')
go

insert into ListType (listTypeId, name, type_) values (10004, 'email-address', 'com.liferay.portal.kernel.model.Account.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (10005, 'email-address-2', 'com.liferay.portal.kernel.model.Account.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (10006, 'email-address-3', 'com.liferay.portal.kernel.model.Account.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (10007, 'fax', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10008, 'local', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10009, 'other', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10010, 'toll-free', 'com.liferay.portal.kernel.model.Account.phone')
go
insert into ListType (listTypeId, name, type_) values (10011, 'tty', 'com.liferay.portal.kernel.model.Account.phone')
go

insert into ListType (listTypeId, name, type_) values (10012, 'intranet', 'com.liferay.portal.kernel.model.Account.website')
go
insert into ListType (listTypeId, name, type_) values (10013, 'public', 'com.liferay.portal.kernel.model.Account.website')
go

--
-- List types for contacts
--

insert into ListType (listTypeId, name, type_) values (11000, 'business', 'com.liferay.portal.kernel.model.Contact.address')
go
insert into ListType (listTypeId, name, type_) values (11001, 'other', 'com.liferay.portal.kernel.model.Contact.address')
go
insert into ListType (listTypeId, name, type_) values (11002, 'personal', 'com.liferay.portal.kernel.model.Contact.address')
go

insert into ListType (listTypeId, name, type_) values (11003, 'email-address', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (11004, 'email-address-2', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (11005, 'email-address-3', 'com.liferay.portal.kernel.model.Contact.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (11006, 'business', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11007, 'business-fax', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11008, 'mobile-phone', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11009, 'other', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11010, 'pager', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11011, 'personal', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11012, 'personal-fax', 'com.liferay.portal.kernel.model.Contact.phone')
go
insert into ListType (listTypeId, name, type_) values (11013, 'tty', 'com.liferay.portal.kernel.model.Contact.phone')
go

insert into ListType (listTypeId, name, type_) values (11014, 'dr', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11015, 'mr', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11016, 'mrs', 'com.liferay.portal.kernel.model.Contact.prefix')
go
insert into ListType (listTypeId, name, type_) values (11017, 'ms', 'com.liferay.portal.kernel.model.Contact.prefix')
go

insert into ListType (listTypeId, name, type_) values (11020, 'ii', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11021, 'iii', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11022, 'iv', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11023, 'jr', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11024, 'phd', 'com.liferay.portal.kernel.model.Contact.suffix')
go
insert into ListType (listTypeId, name, type_) values (11025, 'sr', 'com.liferay.portal.kernel.model.Contact.suffix')
go

insert into ListType (listTypeId, name, type_) values (11026, 'blog', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11027, 'business', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11028, 'other', 'com.liferay.portal.kernel.model.Contact.website')
go
insert into ListType (listTypeId, name, type_) values (11029, 'personal', 'com.liferay.portal.kernel.model.Contact.website')
go

--
-- List types for organizations
--

insert into ListType (listTypeId, name, type_) values (12000, 'billing', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12001, 'other', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12002, 'p-o-box', 'com.liferay.portal.kernel.model.Organization.address')
go
insert into ListType (listTypeId, name, type_) values (12003, 'shipping', 'com.liferay.portal.kernel.model.Organization.address')
go

insert into ListType (listTypeId, name, type_) values (12004, 'email-address', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (12005, 'email-address-2', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go
insert into ListType (listTypeId, name, type_) values (12006, 'email-address-3', 'com.liferay.portal.kernel.model.Organization.emailAddress')
go

insert into ListType (listTypeId, name, type_) values (12007, 'fax', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12008, 'local', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12009, 'other', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12010, 'toll-free', 'com.liferay.portal.kernel.model.Organization.phone')
go
insert into ListType (listTypeId, name, type_) values (12011, 'tty', 'com.liferay.portal.kernel.model.Organization.phone')
go

insert into ListType (listTypeId, name, type_) values (12012, 'administrative', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12013, 'contracts', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12014, 'donation', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12015, 'retail', 'com.liferay.portal.kernel.model.Organization.service')
go
insert into ListType (listTypeId, name, type_) values (12016, 'training', 'com.liferay.portal.kernel.model.Organization.service')
go

insert into ListType (listTypeId, name, type_) values (12017, 'full-member', 'com.liferay.portal.kernel.model.Organization.status')
go
insert into ListType (listTypeId, name, type_) values (12018, 'provisional-member', 'com.liferay.portal.kernel.model.Organization.status')
go

insert into ListType (listTypeId, name, type_) values (12019, 'intranet', 'com.liferay.portal.kernel.model.Organization.website')
go
insert into ListType (listTypeId, name, type_) values (12020, 'public', 'com.liferay.portal.kernel.model.Organization.website')
go


insert into Counter (name, currentId) values ('com.liferay.counter.kernel.model.Counter', 20000)
go



go


create index IX_5BC8B0D4 on Address (userId)
go
create index IX_8FCB620E on Address (uuid_, companyId)
go

create index IX_37B0A8A2 on AnnouncementsDelivery (companyId)
go
create unique index IX_BA4413D5 on AnnouncementsDelivery (userId, type_)
go

create index IX_D49C2E66 on AnnouncementsEntry (userId)
go
create index IX_F2949120 on AnnouncementsEntry (uuid_, companyId)
go

create index IX_EF1F022A on AnnouncementsFlag (companyId)
go
create index IX_9C7EB9F on AnnouncementsFlag (entryId)
go
create unique index IX_4539A99C on AnnouncementsFlag (userId, entryId, value)
go

create index IX_85E3BB49 on AssetCategory (companyId, externalReferenceCode)
go
create index IX_C7F39FCA on AssetCategory (groupId, name, vocabularyId)
go
create index IX_852EA801 on AssetCategory (groupId, parentCategoryId, name, vocabularyId)
go
create index IX_87603842 on AssetCategory (groupId, parentCategoryId, vocabularyId)
go
create index IX_2008FACB on AssetCategory (groupId, vocabularyId)
go
create index IX_D61ABE08 on AssetCategory (name, vocabularyId)
go
create unique index IX_BE4DF2BF on AssetCategory (parentCategoryId, name, vocabularyId)
go
create index IX_B185E980 on AssetCategory (parentCategoryId, vocabularyId)
go
create index IX_BBAF6928 on AssetCategory (uuid_, companyId)
go
create unique index IX_E8D019AA on AssetCategory (uuid_, groupId)
go
create index IX_287B1F89 on AssetCategory (vocabularyId)
go

create index IX_38A65B55 on AssetEntries_AssetCategories (companyId)
go
create index IX_E119938A on AssetEntries_AssetCategories (entryId)
go

create index IX_112337B8 on AssetEntries_AssetTags (companyId)
go
create index IX_B2A61B55 on AssetEntries_AssetTags (tagId)
go

create unique index IX_1E9D371D on AssetEntry (classNameId, classPK)
go
create index IX_7306C60 on AssetEntry (companyId)
go
create index IX_75D42FF9 on AssetEntry (expirationDate)
go
create index IX_6418BB52 on AssetEntry (groupId, classNameId, publishDate, expirationDate)
go
create index IX_1EBA6821 on AssetEntry (groupId, classUuid)
go
create index IX_FEC4A201 on AssetEntry (layoutUuid)
go
create index IX_2E4E3885 on AssetEntry (publishDate)
go

create unique index IX_8F542794 on AssetLink (entryId1, entryId2, type_)
go
create index IX_14D5A20D on AssetLink (entryId1, type_)
go
create index IX_91F132C on AssetLink (entryId2, type_)
go

create unique index IX_D63322F9 on AssetTag (groupId, name)
go
create index IX_C43137AF on AssetTag (name)
go
create index IX_84C501E4 on AssetTag (uuid_, companyId)
go
create unique index IX_B6ACB166 on AssetTag (uuid_, groupId)
go

create index IX_E5867F31 on AssetVocabulary (companyId, externalReferenceCode)
go
create unique index IX_C0AAD74D on AssetVocabulary (groupId, name)
go
create index IX_C4E6FD10 on AssetVocabulary (uuid_, companyId)
go
create unique index IX_1B2B8792 on AssetVocabulary (uuid_, groupId)
go

create unique index IX_E7B95510 on BrowserTracker (userId)
go

create unique index IX_B27A301F on ClassName_ (value)
go

create index IX_38EFE3FD on Company (logoId)
go
create index IX_12566EC2 on Company (mx)
go
create unique index IX_EC00543C on Company (webId)
go

create index IX_B8C28C53 on Contact_ (accountId)
go
create index IX_791914FA on Contact_ (classNameId, classPK)
go
create index IX_FD2E9BDD on Contact_ (companyId, userId)
go
create index IX_42F94F9F on Contact_ (userId)
go

create unique index IX_717B97E1 on Country (a2)
go
create unique index IX_717B9BA2 on Country (a3)
go
create unique index IX_19DA007B on Country (name)
go

create index IX_5444C427 on DLFileEntry (companyId, fileEntryTypeId)
go
create index IX_B8526DBE on DLFileEntry (custom1ImageId)
go
create index IX_AC9BDEDD on DLFileEntry (custom2ImageId)
go
create index IX_772ECDE7 on DLFileEntry (fileEntryTypeId)
go
create index IX_8F6C75D0 on DLFileEntry (folderId, name)
go
create index IX_BAF654E5 on DLFileEntry (groupId, fileEntryTypeId)
go
create index IX_29D0AF28 on DLFileEntry (groupId, folderId, fileEntryTypeId)
go
create unique index IX_DF37D92E on DLFileEntry (groupId, folderId, fileName)
go
create unique index IX_5391712 on DLFileEntry (groupId, folderId, name)
go
create unique index IX_ED5CA615 on DLFileEntry (groupId, folderId, title)
go
create index IX_D20C434D on DLFileEntry (groupId, userId, folderId)
go
create index IX_4DB7A143 on DLFileEntry (largeImageId)
go
create index IX_D9492CF6 on DLFileEntry (mimeType)
go
create index IX_1B352F4A on DLFileEntry (repositoryId, folderId)
go
create index IX_25F5CAB9 on DLFileEntry (smallImageId, largeImageId, custom1ImageId, custom2ImageId)
go
create index IX_31079DE8 on DLFileEntry (uuid_, companyId)
go
create unique index IX_BC2E7E6A on DLFileEntry (uuid_, groupId)
go

create unique index IX_7332B44F on DLFileEntryMetadata (DDMStructureId, fileVersionId)
go
create index IX_4F40FE5E on DLFileEntryMetadata (fileEntryId)
go
create index IX_1FE9C04 on DLFileEntryMetadata (fileVersionId)
go
create index IX_E69431B7 on DLFileEntryMetadata (uuid_, companyId)
go

create unique index IX_5B6BEF5F on DLFileEntryType (groupId, fileEntryTypeKey)
go
create index IX_5B03E942 on DLFileEntryType (uuid_, companyId)
go
create unique index IX_1399D844 on DLFileEntryType (uuid_, groupId)
go

create index IX_2E64D9F9 on DLFileEntryTypes_DLFolders (companyId)
go
create index IX_6E00A2EC on DLFileEntryTypes_DLFolders (folderId)
go

create index IX_8571953E on DLFileShortcut (companyId, status)
go
create index IX_4B7247F6 on DLFileShortcut (toFileEntryId)
go
create index IX_29AE81C4 on DLFileShortcut (uuid_, companyId)
go
create unique index IX_FDB4A946 on DLFileShortcut (uuid_, groupId)
go

create index IX_A0A283F4 on DLFileVersion (companyId, status)
go
create index IX_D47BB14D on DLFileVersion (fileEntryId, status)
go
create unique index IX_E2815081 on DLFileVersion (fileEntryId, version)
go
create index IX_DFD809D3 on DLFileVersion (groupId, folderId, status)
go
create index IX_9BE769ED on DLFileVersion (groupId, folderId, title, version)
go
create index IX_FFB3395C on DLFileVersion (mimeType)
go
create index IX_95E9E44E on DLFileVersion (uuid_, companyId)
go
create unique index IX_C99B2650 on DLFileVersion (uuid_, groupId)
go

create index IX_E79BE432 on DLFolder (companyId, status)
go
create unique index IX_902FD874 on DLFolder (groupId, parentFolderId, name)
go
create index IX_51556082 on DLFolder (parentFolderId, name)
go
create index IX_6747B2BC on DLFolder (repositoryId, parentFolderId)
go
create index IX_DA448450 on DLFolder (uuid_, companyId)
go
create unique index IX_3CC1DED2 on DLFolder (uuid_, groupId)
go

create index IX_7B43CD8 on EmailAddress (userId)
go
create index IX_F74AB912 on EmailAddress (uuid_, companyId)
go

create unique index IX_FEFC8DA7 on ExpandoColumn (tableId, name)
go

create index IX_49EB3118 on ExpandoRow (classPK)
go
create unique index IX_81EFBFF5 on ExpandoRow (tableId, classPK)
go

create unique index IX_37562284 on ExpandoTable (companyId, classNameId, name)
go

create index IX_B29FEF17 on ExpandoValue (classNameId, classPK)
go
create unique index IX_9DDD21E5 on ExpandoValue (columnId, rowId_)
go
create index IX_9112A7A0 on ExpandoValue (rowId_)
go
create index IX_1BD3F4C on ExpandoValue (tableId, classPK)
go
create unique index IX_D27B03E7 on ExpandoValue (tableId, columnId, classPK)
go
create index IX_B71E92D5 on ExpandoValue (tableId, rowId_)
go

create index IX_1827A2E5 on ExportImportConfiguration (companyId)
go
create index IX_38FA468D on ExportImportConfiguration (groupId, status)
go
create index IX_47CC6234 on ExportImportConfiguration (groupId, type_, status)
go

create index IX_8257E37B on Group_ (classNameId, classPK)
go
create index IX_BD3CB13A on Group_ (classNameId, groupId, companyId, parentGroupId)
go
create unique index IX_D0D5E397 on Group_ (companyId, classNameId, classPK)
go
create index IX_ABE2D54 on Group_ (companyId, classNameId, parentGroupId)
go
create unique index IX_5BDDB872 on Group_ (companyId, friendlyURL)
go
create unique index IX_ACD2B296 on Group_ (companyId, groupKey)
go
create index IX_16218A38 on Group_ (liveGroupId)
go
create index IX_26CC761A on Group_ (uuid_, companyId)
go

create index IX_8BFD4548 on Groups_Orgs (companyId)
go
create index IX_6BBB7682 on Groups_Orgs (organizationId)
go

create index IX_557D8550 on Groups_Roles (companyId)
go
create index IX_3103EF3D on Groups_Roles (roleId)
go

create index IX_676FC818 on Groups_UserGroups (companyId)
go
create index IX_3B69160F on Groups_UserGroups (userGroupId)
go

create index IX_6A925A4D on Image (size_)
go

create unique index IX_9D3FD85F on Layout (headId)
go

create unique index IX_FD57097D on LayoutBranch (layoutSetBranchId, plid, name)
go

create index IX_EAB317C8 on LayoutFriendlyURL (companyId)
go
create index IX_59051329 on LayoutFriendlyURL (plid, friendlyURL)
go
create unique index IX_C5762E72 on LayoutFriendlyURL (plid, languageId)
go
create index IX_F4321A54 on LayoutFriendlyURL (uuid_, companyId)
go
create unique index IX_326525D6 on LayoutFriendlyURL (uuid_, groupId)
go

create index IX_63ED2532 on LayoutPrototype (uuid_, companyId)
go

create index IX_13984800 on LayoutRevision (layoutSetBranchId, layoutBranchId, plid)
go
create index IX_4A84AF43 on LayoutRevision (layoutSetBranchId, parentLayoutRevisionId, plid)
go
create index IX_70DA9ECB on LayoutRevision (layoutSetBranchId, plid, status)
go
create index IX_7FFAE700 on LayoutRevision (layoutSetBranchId, status)
go
create index IX_8EC3D2BC on LayoutRevision (plid, status)
go
create index IX_421223B1 on LayoutRevision (status)
go

create unique index IX_28B7204D on LayoutSet (headId)
go


create index IX_D9FFCA84 on LayoutSetPrototype (uuid_, companyId)
go

create index IX_2997628D on LayoutSetVersion (companyId, layoutSetPrototypeUuid, version)
go
create index IX_1F8F53E4 on LayoutSetVersion (groupId, version)
go
create unique index IX_D88D5E2B on LayoutSetVersion (layoutSetId, version)
go
create index IX_61B651E9 on LayoutSetVersion (layoutSetPrototypeUuid, version)
go

create index IX_7A62EE5F on LayoutVersion (classNameId, classPK, version)
go
create index IX_FBF6F939 on LayoutVersion (companyId, layoutPrototypeUuid, version)
go
create index IX_DEFEF354 on LayoutVersion (companyId, version)
go
create index IX_B3248089 on LayoutVersion (groupId, type_, version)
go
create index IX_F8CF8212 on LayoutVersion (groupId, version)
go
create index IX_182CF60F on LayoutVersion (iconImageId, version)
go
create index IX_B8044279 on LayoutVersion (layoutPrototypeUuid, version)
go
create index IX_1A7E559F on LayoutVersion (parentPlid, version)
go
create unique index IX_F852DF29 on LayoutVersion (plid, version)
go
create index IX_45E580A0 on LayoutVersion (sourcePrototypeLayoutUuid, version)
go
create index IX_E66E67A0 on LayoutVersion (uuid_, companyId, version)
go
create index IX_82FCA548 on LayoutVersion (uuid_, version)
go

create index IX_77729718 on ListType (name, type_)
go
create index IX_2932DD37 on ListType (type_)
go

create index IX_C28C72EC on MembershipRequest (groupId, statusId)
go
create index IX_35AA8FA6 on MembershipRequest (groupId, userId, statusId)
go
create index IX_66D70879 on MembershipRequest (userId)
go

create index IX_4A527DD3 on OrgGroupRole (groupId)
go
create index IX_AB044D1C on OrgGroupRole (roleId)
go

create index IX_6AF0D434 on OrgLabor (organizationId)
go

create index IX_6B83F1C7 on Organization_ (companyId, externalReferenceCode)
go
create unique index IX_E301BDF5 on Organization_ (companyId, name)
go
create index IX_D834B361 on Organization_ (companyId, parentOrganizationId, name)
go
create index IX_A9D85BA6 on Organization_ (uuid_, companyId)
go

create unique index IX_3FBFA9F4 on PasswordPolicy (companyId, name)
go
create index IX_E4D7EF87 on PasswordPolicy (uuid_, companyId)
go

create unique index IX_C3A17327 on PasswordPolicyRel (classNameId, classPK)
go
create index IX_CD25266E on PasswordPolicyRel (passwordPolicyId)
go

create index IX_326F75BD on PasswordTracker (userId)
go

create index IX_F202B9CE on Phone (userId)
go
create index IX_B271FA88 on Phone (uuid_, companyId)
go

create unique index IX_7171B2E8 on PluginSetting (companyId, pluginId, pluginType)
go

create index IX_D1F795F1 on PortalPreferences (ownerId, ownerType)
go

create unique index IX_12B5E51D on Portlet (companyId, portletId)
go

create index IX_96BDD537 on PortletItem (groupId, classNameId)
go
create index IX_D699243F on PortletItem (groupId, name, portletId, classNameId)
go
create index IX_E922D6C0 on PortletItem (groupId, portletId, classNameId)
go

create index IX_60C49142 on PortletPreferences (companyId, ownerId, ownerType, portletId)
go
create unique index IX_C7057FF7 on PortletPreferences (ownerId, ownerType, plid, portletId)
go
create index IX_C9A3FCE2 on PortletPreferences (ownerId, ownerType, portletId)
go
create index IX_D5EDA3A1 on PortletPreferences (ownerType, plid, portletId)
go
create index IX_A3B2A80C on PortletPreferences (ownerType, portletId)
go
create index IX_D340DB76 on PortletPreferences (plid, portletId)
go
create index IX_8E6DA3A1 on PortletPreferences (portletId)
go

create index IX_A1A8CB8B on RatingsEntry (classNameId, classPK, score)
go
create unique index IX_B47E3C11 on RatingsEntry (userId, classNameId, classPK)
go
create index IX_9F242DF6 on RatingsEntry (uuid_, companyId)
go

create unique index IX_A6E99284 on RatingsStats (classNameId, classPK)
go

create index IX_B91F79BD on RecentLayoutBranch (groupId)
go
create index IX_351E86E8 on RecentLayoutBranch (layoutBranchId)
go
create unique index IX_C27D6369 on RecentLayoutBranch (userId, layoutSetBranchId, plid)
go

create index IX_8D8A2724 on RecentLayoutRevision (groupId)
go
create index IX_DA0788DA on RecentLayoutRevision (layoutRevisionId)
go
create unique index IX_4C600BD0 on RecentLayoutRevision (userId, layoutSetBranchId, plid)
go

create index IX_711995A5 on RecentLayoutSetBranch (groupId)
go
create index IX_23FF0700 on RecentLayoutSetBranch (layoutSetBranchId)
go
create unique index IX_4654D204 on RecentLayoutSetBranch (userId, layoutSetId)
go

create unique index IX_A2635F5C on Region (countryId, regionCode)
go

create unique index IX_8BD6BCA7 on Release_ (servletContextName)
go

create unique index IX_60C8634C on Repository (groupId, name, portletId)
go
create index IX_F543EA4 on Repository (uuid_, companyId)
go
create unique index IX_11641E26 on Repository (uuid_, groupId)
go

create unique index IX_9BDCF489 on RepositoryEntry (repositoryId, mappedId)
go
create index IX_D3B9AF62 on RepositoryEntry (uuid_, companyId)
go
create unique index IX_354AA664 on RepositoryEntry (uuid_, groupId)
go

create unique index IX_EDB9986E on ResourceAction (name, actionId)
go

create unique index IX_AEEA209C on ResourceBlock (companyId, groupId, name, permissionsHash)
go
create index IX_2D4CC782 on ResourceBlock (companyId, name)
go

create unique index IX_D63D20BB on ResourceBlockPermission (resourceBlockId, roleId)
go
create index IX_20A2E3D9 on ResourceBlockPermission (roleId)
go

create unique index IX_8D83D0CE on ResourcePermission (companyId, name, scope, primKey, roleId)
go
create index IX_FD06D7C5 on ResourcePermission (companyId, name, scope, roleId)
go
create index IX_26284944 on ResourcePermission (companyId, primKey)
go
create index IX_F6BAE86A on ResourcePermission (companyId, scope, primKey)
go
create index IX_D5F1E2A2 on ResourcePermission (name)
go
create index IX_A37A0588 on ResourcePermission (roleId)
go
create index IX_F4555981 on ResourcePermission (scope)
go

create unique index IX_BA497163 on ResourceTypePermission (companyId, groupId, name, roleId)
go
create index IX_7D81F66F on ResourceTypePermission (companyId, name, roleId)
go
create index IX_A82690E2 on ResourceTypePermission (roleId)
go

create unique index IX_A88E424E on Role_ (companyId, classNameId, classPK)
go
create unique index IX_EBC931B8 on Role_ (companyId, name)
go
create index IX_F3E1C6FC on Role_ (companyId, type_)
go
create index IX_F436EC8E on Role_ (name)
go
create index IX_5EB4E2FB on Role_ (subtype)
go
create index IX_CBE204 on Role_ (type_, subtype)
go
create index IX_B9FF6043 on Role_ (uuid_, companyId)
go

create unique index IX_4F0315B8 on ServiceComponent (buildNamespace, buildNumber)
go

create index IX_F542E9BC on SocialActivity (activitySetId)
go
create index IX_D0E9029E on SocialActivity (classNameId, classPK, type_)
go
create index IX_64B1BC66 on SocialActivity (companyId)
go
create index IX_FB604DC7 on SocialActivity (groupId, userId, classNameId, classPK, type_, receiverUserId)
go
create unique index IX_8F32DEC9 on SocialActivity (groupId, userId, createDate, classNameId, classPK, type_, receiverUserId)
go
create index IX_1F00C374 on SocialActivity (mirrorActivityId, classNameId, classPK)
go
create index IX_121CA3CB on SocialActivity (receiverUserId)
go
create index IX_3504B8BC on SocialActivity (userId)
go

create index IX_8F6408F0 on SocialActivityAchievement (groupId, name)
go
create unique index IX_D4390CAA on SocialActivityAchievement (groupId, userId, name)
go

create index IX_A4B9A23B on SocialActivityCounter (classNameId, classPK)
go
create unique index IX_1B7E3B67 on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, endPeriod)
go
create unique index IX_374B35AE on SocialActivityCounter (groupId, classNameId, classPK, name, ownerType, startPeriod)
go
create index IX_926CDD04 on SocialActivityCounter (groupId, classNameId, classPK, ownerType)
go

create index IX_B15863FA on SocialActivityLimit (classNameId, classPK)
go
create unique index IX_F1C1A617 on SocialActivityLimit (groupId, userId, classNameId, classPK, activityType, activityCounterName)
go
create index IX_6F9EDE9F on SocialActivityLimit (userId)
go

create index IX_4460FA14 on SocialActivitySet (classNameId, classPK, type_)
go
create index IX_9BE30DDF on SocialActivitySet (groupId, userId, classNameId, type_)
go
create index IX_F71071BD on SocialActivitySet (groupId, userId, type_)
go
create index IX_62AC101A on SocialActivitySet (userId, classNameId, classPK, type_)
go

create index IX_384788CD on SocialActivitySetting (groupId, activityType)
go
create index IX_D984AABA on SocialActivitySetting (groupId, classNameId, activityType, name)
go

create index IX_95135D1C on SocialRelation (companyId, type_)
go
create index IX_C31A64C6 on SocialRelation (type_)
go
create index IX_4B52BE89 on SocialRelation (userId1, type_)
go
create unique index IX_12A92145 on SocialRelation (userId1, userId2, type_)
go
create index IX_3F9C2FA8 on SocialRelation (userId2, type_)
go
create index IX_5B30F663 on SocialRelation (uuid_, companyId)
go

create index IX_D3425487 on SocialRequest (classNameId, classPK, type_, receiverUserId, status)
go
create index IX_A90FE5A0 on SocialRequest (companyId)
go
create index IX_D9380CB7 on SocialRequest (receiverUserId, status)
go
create unique index IX_36A90CA7 on SocialRequest (userId, classNameId, classPK, type_, receiverUserId)
go
create index IX_CC86A444 on SocialRequest (userId, classNameId, classPK, type_, status)
go
create index IX_AB5906A8 on SocialRequest (userId, status)
go
create index IX_8D42897C on SocialRequest (uuid_, companyId)
go
create unique index IX_4F973EFE on SocialRequest (uuid_, groupId)
go

create index IX_FFCBB747 on SystemEvent (groupId, classNameId, classPK, type_)
go
create index IX_A19C89FF on SystemEvent (groupId, systemEventSetKey)
go

create unique index IX_143DC786 on Team (groupId, name)
go
create index IX_5D47F637 on Team (uuid_, companyId)
go
create unique index IX_39F69E79 on Team (uuid_, groupId)
go

create index IX_1E8DFB2E on Ticket (classNameId, classPK, type_)
go
create index IX_8BACD0AA on Ticket (companyId, classNameId, classPK, type_)
go
create index IX_B2468446 on Ticket (key_)
go

create index IX_CB9015AF on UserGroup (companyId, externalReferenceCode)
go
create unique index IX_23EAD0D on UserGroup (companyId, name)
go
create index IX_69771487 on UserGroup (companyId, parentUserGroupId)
go
create index IX_72394F8E on UserGroup (uuid_, companyId)
go

create index IX_CAB0CCC8 on UserGroupGroupRole (groupId, roleId)
go
create index IX_1CDF88C on UserGroupGroupRole (roleId)
go

create index IX_871412DF on UserGroupRole (groupId, roleId)
go
create index IX_887A2C95 on UserGroupRole (roleId)
go

create index IX_2AC5356C on UserGroups_Teams (companyId)
go
create index IX_7F187E63 on UserGroups_Teams (userGroupId)
go

create unique index IX_41A32E0D on UserIdMapper (type_, externalUserId)
go
create unique index IX_D1C44A6E on UserIdMapper (userId, type_)
go

create unique index IX_8B6E3ACE on UserNotificationDelivery (userId, portletId, classNameId, notificationType, deliveryType)
go

create index IX_BF29100B on UserNotificationEvent (type_)
go
create index IX_A6BAFDFE on UserNotificationEvent (uuid_, companyId)
go

create index IX_29BA1CF5 on UserTracker (companyId)
go
create index IX_46B0AE8E on UserTracker (sessionId)
go
create index IX_E4EFBA8D on UserTracker (userId)
go

create index IX_14D8BCC0 on UserTrackerPath (userTrackerId)
go

create index IX_BCFDA257 on User_ (companyId, createDate, modifiedDate)
go
create unique index IX_615E9F7A on User_ (companyId, emailAddress)
go
create index IX_E1D3922F on User_ (companyId, externalReferenceCode)
go
create index IX_1D731F03 on User_ (companyId, facebookId)
go
create index IX_B6E3AE1 on User_ (companyId, googleUserId)
go
create index IX_EE8ABD19 on User_ (companyId, modifiedDate)
go
create index IX_89509087 on User_ (companyId, openId)
go
create unique index IX_C5806019 on User_ (companyId, screenName)
go
create index IX_F6039434 on User_ (companyId, status)
go
create unique index IX_5ADBE171 on User_ (contactId)
go
create index IX_762F63C6 on User_ (emailAddress)
go
create index IX_A18034A4 on User_ (portraitId)
go
create index IX_68931CD4 on User_ (userId, companyId)
go
create index IX_405CC0E on User_ (uuid_, companyId)
go

create index IX_3499B657 on Users_Groups (companyId)
go
create index IX_F10B6C6B on Users_Groups (userId)
go

create index IX_5FBB883C on Users_Orgs (companyId)
go
create index IX_FB646CA6 on Users_Orgs (userId)
go

create index IX_F987A0DC on Users_Roles (companyId)
go
create index IX_C1A01806 on Users_Roles (userId)
go

create index IX_799F8283 on Users_Teams (companyId)
go
create index IX_A098EFBF on Users_Teams (userId)
go

create index IX_BB65040C on Users_UserGroups (companyId)
go
create index IX_66FF2503 on Users_UserGroups (userGroupId)
go

create unique index IX_431A3960 on VirtualHost (hostname)
go

create unique index IX_97DFA146 on WebDAVProps (classNameId, classPK)
go

create index IX_F75690BB on Website (userId)
go
create index IX_712BCD35 on Website (uuid_, companyId)
go

create index IX_A4DB1F0F on WorkflowDefinitionLink (companyId, workflowDefinitionName, workflowDefinitionVersion)
go
create index IX_705B40EE on WorkflowDefinitionLink (groupId, companyId, classNameId, classPK, typePK)
go
create index IX_407C8F33 on WorkflowDefinitionLink (groupId, companyId, classPK)
go

create index IX_415A7007 on WorkflowInstanceLink (groupId, companyId, classNameId, classPK)
go


